//################################################
//代码功能：操作完成后提示用户操作成功并关闭窗口
//retdata返回是否刷新 0=表示不刷新，1=表示刷新，2=系统错误，窗口不关闭 3=直接关闭，什么都不要说 4=关闭后刷新,采用location方法 5=刷新菜单父亲窗口
//编写时间：2015-05-14
//################################################
function CareffArtAlert(info, retdata) {
    //alert(retdata);
    art.dialog.data("retdata", retdata)
    if (retdata == 3)
    {
        art.dialog.close();
        return;
    }
    //art.dialog({
    //    icon: 'succeed',
    //    title: '系统提示',
    //    content: info,
    //    ok: function () {
    //        art.dialog.close();
    //    },
    //});

    art.dialog.alert(info, function () {
        if (retdata != 2) {
            art.dialog.close();
        }
        if (retdata == 5) {
            parent.location.reload();
        }
        if (retdata == 6) {
            //art.dialog.close();
            parent.art.dialog.close();
            //parent.parent.location.reload();
            //return;
        }
    }).time(3);
}

function CareffArtAlertZs(info, retdata) {
    //alert(retdata);
    art.dialog.data("retdata", retdata)
    if (retdata == 3) {
        art.dialog.close();
        return;
    }
    art.dialog.alert(info + "", function () {
        parent.location.reload();
    }).time(3);
}
//################################################
//代码功能：弹出提示后跳转
//################################################
function CareffArtAlertGo(info, retdata,url) {
    //alert(retdata);
    art.dialog.data("retdata", retdata)
    if (retdata == 3) {
        art.dialog.close();
        return;
    }
    art.dialog.alert(info, function () { art.dialog.data("retdata", 0);window.location.href = url; });
}

//################################################
//代码功能：弹出提示
//################################################
function CareffArtAlertOne(info) {
    art.dialog.alert(info, function () {});
}
function CareffArtAlertCloseAll() {
    var ii = 0;
    var list = art.dialog.list;
    for (var i in list) {
        list[i].close();
        ii++;
    };
    return ii;
}
//################################################
//代码功能：打开浮动窗口
//0=表示不刷新，1=表示刷新，2=系统错误，窗口不关闭 3=直接关闭，什么都不要说
//编写时间：2015-05-14
//################################################
function CareffArtOpen3(url, title1, width1, hright1) {
    //2015-11-07修复浏览器高度
    var h = $(window).height();
    if (hright1 > h) { hright1 = h; }
    //alert($(window).height());                           //浏览器当前窗口可视区域高度

    //alert($(document).height());                        //浏览器当前窗口文档的高度

    //alert($(document.body).height());                //浏览器当前窗口文档body的高度

    art.dialog.open(url, {
        title: title1,
        width: width1,
        height: hright1,
        lock: true,
        background: '#ffffff', // 背景色
        opacity: 0.1,	// 透明度
        close: function () {
            //alert(art.dialog.data("retdata"));
            if (art.dialog.data("retdata") == "1") {
                document.getElementById('btnSearch').click();
            }
            if (art.dialog.data("retdata") == "4") {
                //alert();
                window.location.reload();
            }
            
            art.dialog.data("retdata", 0);
        }
    });
}

function CareffArtOpen1(url)
{
    CareffArtOpen3(url, '管理/查看', 900, 700);
}

function CareffArtOpen2(url, title1) {
    CareffArtOpen3(url, title1, 900, 700);
}

//################################################
//代码功能：不同大小的窗口
//编写时间：2015-05-14
//################################################
function CareffArtOpenA0(url) {
    CareffArtOpen3(url, '管理/查看', 800, 300);
}
function CareffArtOpenA1(url) {
    CareffArtOpen3(url, '管理/查看', 800, 450);
}
function CareffArtOpenA2(url) {
    CareffArtOpen3(url, '管理/查看', 800, 600);
}
function CareffArtOpenA3(url) {
    CareffArtOpen3(url, '管理/查看', 800, 700);
}
function CareffArtOpenA4(url) {
    CareffArtOpen3(url, '管理/查看', 800, 1000);
}

//B组

function CareffArtOpenB1(url) {
    CareffArtOpen3(url, '管理/查看', 1000, 450);
}
function CareffArtOpenB2(url) {
    CareffArtOpen3(url, '管理/查看', 1000, 600);
}
function CareffArtOpenB3(url) {
    CareffArtOpen3(url, '管理/查看', 1000, 700);//高度目前尽量不要超过700，怕显示器小看不到
}
function CareffArtOpenB4(url) {
    CareffArtOpen3(url, '管理/查看', 1000, 1000);
}

//C组

function CareffArtOpenC1(url) {
    CareffArtOpen3(url, '管理/查看', 1200, 450);
}
function CareffArtOpenC2(url) {
    CareffArtOpen3(url, '管理/查看', 1200, 600);
}
function CareffArtOpenC3(url) {
    CareffArtOpen3(url, '管理/查看', 1200, 700);//高度目前尽量不要超过700，怕显示器小看不到
}
function CareffArtOpenC4(url) {
    CareffArtOpen3(url, '管理/查看', 1200, 1000);
}


//D组

function CareffArtOpenD1(url) {
    CareffArtOpen3(url, '管理/查看', 1400, 450);
}
function CareffArtOpenD2(url) {
    CareffArtOpen3(url, '管理/查看', 1400, 600);
}
function CareffArtOpenD3(url) {
    CareffArtOpen3(url, '管理/查看', 1400, 700);//高度目前尽量不要超过700，怕显示器小看不到
}
function CareffArtOpenD4(url) {
    CareffArtOpen3(url, '管理/查看', 1400, 1000);
}

function CareffArtOpenT1(url) {
    CareffArtOpen3(url, '管理/查看', 450, 600);
}
//################################################



//################################################
//代码功能：我的文档等功能使用，带CallBack
//编写时间：2015-05-15
//################################################
function CareffArtOpen4(url, title1, width1, hright1, Callback) {
    var h = $(window).height();
    if (hright1 > h) { hright1 = h; }
    art.dialog.open(url, {
        title: title1,
        width: width1,
        height: hright1,
        lock: true,
        background: '#ffffff', // 背景色
        opacity: 0.1,	// 透明度
        close: function () {
            var d = art.dialog.data("retndata");
            //alert(d);
            if (d != "") {
                Callback(d);
            }
            art.dialog.data("retndata", "");
        }
    });
}
